Bug 13140 - smbclient: "volume" command is missing SMB2 client support.
smbclient: "volume" command is missing SMB2 client support.
Status: ASSIGNED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13138
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-14 21:54 UTC by Jeremy Allison
Modified: 2017-11-17 07:25 UTC (History)
4 users (show)

See Also:


Attachments
git-am fix for master. (6.91 KB, patch)
2017-11-14 23:58 UTC, Jeremy Allison
jra: review? (asn)
jra: review? (gd)
Details
git-am fix for 4.7.next. (7.28 KB, patch)
2017-11-15 19:41 UTC, Jeremy Allison
asn: review+
Details
git-am fix for 4.6.next. (2.15 KB, patch)
2017-11-15 19:55 UTC, Jeremy Allison
asn: review-
Details
Fixed git-am fix for 4.6.next. (7.53 KB, patch)
2017-11-16 17:01 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-11-14 21:54:11 UTC

    
Comment 1 Jeremy Allison 2017-11-14 23:58:17 UTC
Created attachment 13782 [details]
git-am fix for master.

Includes regression test for 'volume' command.
Comment 2 Jeremy Allison 2017-11-15 19:41:57 UTC
Created attachment 13783 [details]
git-am fix for 4.7.next.

Backported from master.
Comment 3 Jeremy Allison 2017-11-15 19:55:18 UTC
Created attachment 13785 [details]
git-am fix for 4.6.next.

Back-ported from master.
Comment 4 Jeremy Allison 2017-11-15 19:55:56 UTC
NB. These patches depend on the patch from bug #13138 being applied first.

Jeremy.
Comment 5 Andreas Schneider 2017-11-16 10:57:44 UTC
Comment on attachment 13785 [details]
git-am fix for 4.6.next.

This only adds the test. I think you wanted just the code change without the test :-)
Comment 6 Jeremy Allison 2017-11-16 17:01:23 UTC
Created attachment 13788 [details]
Fixed git-am fix for 4.6.next.

Argh ! I did the back-port then did the git format-patch from the wrong refspec, sorry. Here's the complete patch (including test :-).
Comment 7 Andreas Schneider 2017-11-17 07:25:42 UTC
Karolin, please add the patches to the 4.6 and 4.7. Thanks!